from pathlib import Path

from dynaconf import Dynaconf

config_dir = Path(__file__).parent.resolve().expanduser()
webservice_dir = config_dir.parent

webservice = Dynaconf(
    envvar_prefix="CAL_WEBSERVICE",
    settings_files=[
        config_dir / "webservice.yaml",
        config_dir / "webservice.secrets.yaml",
        Path("~/.config/pycalibration/webservice/webservice.yaml").expanduser(),
    ],
    environments=False,
    merge_enabled=True,
    webservice_dir=webservice_dir,
)

serve_overview = Dynaconf(
    envvar_prefix="CAL_SERVE_OVERVIEW",
    settings_files=[
        config_dir / "serve_overview.yaml",
        config_dir / "serve_overview.secrets.yaml",
        Path("~/.config/pycalibration/webservice/serve_overview.yaml").expanduser(),
    ],
    environments=False,
    merge_enabled=True,
    webservice_dir=webservice_dir,
)

# `envvar_prefix` = export envvars with `export DYNACONF_FOO=bar`.
# `settings_files` = Load this files in the order.
